// C Header File
// Created 14/04/2003; 21:07:16

#define COMP_NO_ERR           0
#define COMP_ERR_MEM         -1
#define COMP_ERR_CANT_ADD    -2
#define COMP_ERR_NO_SRC_VAR  -3
#define COMP_ERR_NOT_A_COMP  -4
#define COMP_ERR_WRONG_TYPE  -5
#define COMP_ERR_CANT_COMP   -6
#define COMP_ERR_CANT_REARCH  1

typedef struct {
		unsigned char caract_droit;  //branche droite : 0
		unsigned char caract_gauche;  //branche gauche : 1
		unsigned char noeud_droit:1, noeud_gauche:1;  //dit si caractere ou noeud
		unsigned char noeud_pere;  //numro du noeud suprieur
} ARBRE;

typedef struct {
		unsigned short freq;
		unsigned char noeud;  //1 ou 0
		unsigned char caract;
} NOEUD;

//type de compression renvoy par get_type
#define COMP_TYPE_NORMAL  0
#define COMP_TYPE_ZIPLIB  1
#define COMP_TYPE_KOMP    2
