// C Header File
// Created 14/04/2003; 21:15:15

#include <tigcclib.h>

//const unsigned char * tab_typ[15]={"ASM","LIB","PROG","FUNC","MAT","LIST","MACR","TEXT","STR","DATA","FIG","PIC","GDB","EXPR","OTHER"};

extern unsigned char tab_typ2[15];

/*===============================================================================================
== Donne le type de la varaible cod pour filelib
=================================================================================================
== type : type selon TIOS
=================================================================================================
== renvoie le type selon filelib
===============================================================================================*/

extern unsigned char conv_type(unsigned char type);

/*===============================================================================================
== Cration d'une variable
=================================================================================================
== sym_var_src : pointeur Sym de la var de dpart
== nom_var : chaine de caractere contenant le nom de la variable
== h : handle  associer  la variable
== pb : pointeur pour renvoyer le code du probleme, si probleme il y a eu
=================================================================================================
== renvoie le pointeur Sym de la nouvelle var
===============================================================================================*/

extern SYM_ENTRY * creation_var(SYM_ENTRY * sym_var_src, const char * nom_var_dest, HANDLE h, char * pb);

/*===============================================================================================
== Donne le type de compression de la variable
=================================================================================================
== SymPtr : pointeur sym vers la variable
=================================================================================================
== renvoie le type de la variable, si variable normale
           le type &0x100 si variable compresse avec komp
           le type &0x200 si variable compresse avec ziplib (type selon filelib)
===============================================================================================*/

//unsigned short get_type(SYM_ENTRY * SymPtr);

/*===============================================================================================
== Donne le type de compression de la variable
=================================================================================================
== SymPtr : pointeur sym vers la variable
=================================================================================================
== renvoie le type & ' '  si variable normale
           le type & 'K' si variable compresse avec komp
           le type & 'Z' si variable compresse avec ziplib
           types donns sous forme texte
===============================================================================================*/

//extern unsigned short get_type_txt(SYM_ENTRY * SymPtr);